commit: b11f89d5157777b11df164752f4a93cb71bc9121
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 08:29:30 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 09:21:43 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b11f89d5
dev-python/portend: Bump to 2.7.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/portend/Manifest | 1 +
dev-python/portend/portend-2.7.0.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/portend/Manifest b/dev-python/portend/Manifest
index cfcca7508b7..083694583e4 100644
--- a/dev-python/portend/Manifest
+++ b/dev-python/portend/Manifest
@@ -1 +1,2 @@
DIST portend-2.6.tar.gz 12295 BLAKE2B
307bb77bb7d73e201f00ca203204149bb4fba8a00277da08f804626be4d01b15bdd38ade7a49c7acafd37263cad6e8c62e0eb6e6bdec0d9e10267c1fbf469aa9
SHA512
9e53c668ba9d0ddb2e92d9b4c97d2b8a4d858a6fc44123414ee3c8ac433f51f50a4773ee08f85bb134e49aeace2a17baffd32962d36df0b19b505a2c6634bf7e
+DIST portend-2.7.0.tar.gz 12732 BLAKE2B
147d47295d702e6e4a41da1af91afc72ecb2a29713431aada6c98fe527c96f86a88a845cc1afe6507e2fd0d749e146f8b349df13d2e1fb1ff2c0a12fc7d6bdae
SHA512
8c81e524e94c4902806a6d33a2811d405e6024796fdbfb5ee1037a177b0aaed4c1b87b76822eee5ca55e552ffa569f4e619d0c1645f0d10c17f8d721ec73787b
diff --git a/dev-python/portend/portend-2.7.0.ebuild
b/dev-python/portend/portend-2.7.0.ebuild
new file mode 100644
index 00000000000..af060ba544e
--- /dev/null
+++ b/dev-python/portend/portend-2.7.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="TCP port monitoring utilities"
+HOMEPAGE="https://pypi.org/project/portend/ https://github.com/jaraco/portend"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/tempora-1.8[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # avoid extra test deps
+ sed -i -r 's: --flake8:: ; s: --black:: ; s: --cov::' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}